Some WebM transcoded videos are Plain text?!
Closed, ResolvedPublic

bzimport set Reference to bz42860.
McZusatz created this task.Via LegacyDec 8 2012, 12:24 PM
hashar added a comment.Via ConduitDec 10 2012, 9:48 AM

curl -I 'https://upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Le_Voyage_dans_la_Lune_%28Georges_M%C3%A9li%C3%A8s%2C_1902%29.ogv/Le_Voyage_dans_la_Lune_%28Georges_M%C3%A9li%C3%A8s%2C_1902%29.ogv.480p.webm'

Content-Type: text/plain
X-Object-Meta-Sha1base36: a296ylotzsh9bl0roptci8mii1ubwi6
Last-Modified: Sat, 10 Nov 2012 09:26:46 GMT
ETag: 50a96b85f1c6593fc95c3fd6fdfd1529
X-Timestamp: 1352539606.35070
...
X-Cache: HIT from amssq61.esams.wikimedia.org

When adding ?nocache to the URL, I end up with the expected output:

Content-Type: audio/webm
X-Object-Meta-Sha1base36: a296ylotzsh9bl0roptci8mii1ubwi6
Last-Modified: Sat, 10 Nov 2012 09:26:46 GMT
ETag: 50a96b85f1c6593fc95c3fd6fdfd1529
X-Timestamp: 1352539606.35070
...

So apparently we had something wrong in MediaWiki at some point and had this file cached in Varnish :/

McZusatz added a comment.Via ConduitDec 10 2012, 10:56 AM

Thanks you for the info. Though I am still not sure how to fix this for users who do not want to put ?nocache at the end of the url.

bzimport added a comment.Via ConduitDec 10 2012, 11:03 AM

jgerber wrote:

the underlying issue has been fixed, in addition a change to TMH has been merged but is not deployed on commons, once this is in production you can run ?action=purge on the file and the cache will be purged too.
Will leave this bug open until commons allows ?action=purge to purge squid caches.

Qgil added a comment.Via ConduitDec 27 2012, 8:37 PM
  • Bug 43215 has been marked as a duplicate of this bug. ***
McZusatz added a comment.Via ConduitDec 27 2012, 8:55 PM

(In reply to comment #3)

the underlying issue has been fixed, in addition a change to TMH has been
merged but is not deployed on commons, once this is in production you can run
?action=purge on the file and the cache will be purged too.
Will leave this bug open until commons allows ?action=purge to purge squid
caches.

Seems to be fixed by now? true?

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:54 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.